# https://pypi.python.org/packages/a2/51/c39562cfed3272592c60cfd229e5464d715b78537e332eac2b695422dc49/regex-2018.02.21.tar.gz
%global module regex

Name:           python-%{module}
Version:        2018.02.21
Release:        %mkrel 2
Summary:        Alternative regular expression module, to replace re

Group:		      Development/Python
License:        Python
URL:            https://pypi.python.org/pypi/regex/2018.02.21
Source0:        %{module}-%{version}.tar.xz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}

%files
%doc docs PKG-INFO README
%{python2_sitearch}/*

%files -n python3-%{module}
%doc docs PKG-INFO README
%{python3_sitearch}/*

%changelog
* Mon Aug 22 2022 tex - 2018.02.21-2pclos2022
- rebuild against updates

* Fri Apr 13 2018 marcin82 <fixxer1982 at gmail.com> 2018.02.21-1pclos2018
- update

* Sun Jun 18 2017 pp <pp> 2016.09.22-1pclos2017
- imported package python-regex
